Members
Transfer Ownership
Transfer ownership of the organization to another member.
Permissions:
- Only the current owner can transfer ownership
- Target user must be an existing member of the organization
Process:
- Current owner becomes a regular member
- Target member becomes the new owner
- Ensures only one owner per organization at all times
Request Body:
new_owner_user_id: UUID of the member who will become the new owner
Authorization
bearerAuth AuthorizationBearer <token>
API token generated from the fastmon dashboard (Account → API Token). Send as Authorization: Bearer fm_... or paste the full token (including the fm_ prefix) into the Authorize dialog.
In: header
Path Parameters
org_id*Org Id
Format
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/transfer-ownership" \ -H "Content-Type: application/json" \ -d '{ "new_owner_user_id": "b88deb90-d878-48a3-885c-7eabcd5efdff" }'{ "message": "string"}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}